%define nam	eog
%define ver	0.3
%define rel 4mdk

%define	prefix		/usr
%define sysconfdir	/etc
%define localstatedir	/var/lib

Summary:	The Eye of GNOME image viewer
Name:     	%nam
Version: 	%ver
Release:	%rel
Copyright:	GPL
Group:		Graphical desktop/GNOME
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{nam}/%{nam}-%{ver}.tar.bz2
Source1:	eog_menuentry
Source2:	eog.xpm.bz2
URL:		http://www.gnome.org/
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:		%{prefix}/doc


%description
Eye of GNOME is a tool for viewing/cataloging images.

%prep
%setup -q

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir} \
	--localstatedir=%{localstatedir} --without-bonobo
if [ x"$SMP" !=x""]; then
		(make MAKE="make -j $SMP -k"; exit 0)
		make
else
		make
fi
		

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir}

#menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/eog

#icon
install -d $RPM_BUILD_ROOT/usr/share/icons/
bzcat %{SOURCE2} >$RPM_BUILD_ROOT/usr/share/icons/eog.xpm


# no binary stripping


%clean
rm -rf $RPM_BUILD_ROOT

%post  
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
		[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

%{prefix}/bin/*
%{prefix}/share/gnome/apps/*
%{prefix}/share/pixmaps/*
%{prefix}/share/locale/*/*/*
/usr/lib/menu/*
/usr/share/icons/*

%changelog
* Wed May  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3-4mdk
- remove software version in the menu entry
- remove prefix for menu and icons
- remove directory owns of locales

* Sat Apr 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3-3mdk
- fixed wrong version in menuentry (reported by andreas ;-)

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3-2mdk
- icon 32*32 

* Tue Apr 24 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3-1mdk
- release
* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2-2mdk
- fix %post

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2-1mdk
- first Mandrake rpm.
- build from helix package.
- SMP build/check.
- add menu and icon file
